Upload Certificates

Upload Certificates

upload certificate to appliance

Request
URI
POST
https://{api_host}/hybridity/api//ztp/domains/{domainName}/security/certificates
COPY
Path Parameters
string
domainName
Required

Domain Name


Request Body
security_certificates_body of type(s) multipart/form-data
Optional
{
    "fileName": "string"
}
string As binary As binary
fileName
Optional

fileName

Authentication
This operation uses the following authentication methods.
Responses
200

Request successfully submitted.

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


400

Bad Request

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors